<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.biz.outbound.dao.StatusRecordMapper">

    <resultMap id="statusMap" type="com.prolog.cs.biz.outbound.model.entity.StatusRecordDO">
        <result column="id" property="id"/>
        <result column="biz_id" property="bizId"/>
        <result column="biz_type" property="bizType"/>
        <result column="status_code" property="statusCode"/>
        <result column="status_name" property="statusName"/>
        <result column="start_time" property="startTime"/>
        <result column="end_time" property="endTime"/>

    </resultMap>

    <update id="updateEndTime">
        update wms_status_record set
        end_time = #{endTime}
        where biz_id = #{bizId} and status_code = #{statusCode}
    </update>


</mapper>